APROPOS(1)

NAMN
apropos - genomsök namn och beskrivningar av manualsidor

SYNOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s lista] [-m system[,...]] [-M sökväg] [-L lokal] [-C fil] nyckelord ...

BESKRIVNING
Varje manualsida har en kort beskrivning. apropos söker genom beskrivningarna efter nyckelord. nyckelord är vanligtvis ett reguljärt uttryck, som om (-r) använts, eller kan innehålla jokertecken (-w), eller matcha det exakta nyckelordet (-e). När dessa flaggor används kan det vara nödvändigt att sätta nyckelordet inom citationstecken eller införa escape-tecken (\) för speciella tecken för att förhindra skalet från att tolka dem. Standardmatchningsreglerna tillåter matchningar att göras mot sidnamn och ordgränser i beskrivningen. Databasen som genomsöks av apropos uppdateras av programmet mandb. Beroende på din installation kan detta köras som ett periodiskt cron-jobb eller måste köras manuellt efter att nya manualsidor har installerats.

FLAGGOR

-d, --debug
    Skriver ut felsökningsinformation.

-v, --verbose
    Skriver ut utförliga varningsmeddelanden.

-r, --regex
    Tolka varje nyckelord som ett reguljärt uttryck. Detta är standardbeteendet. Varje nyckelord kommer att oberoende matchas mot sidnamnen och beskrivningarna. Det kan matcha vilken del som helst av vilken som. Matchningen är inte begränsad till ordgränser.

-w, --wildcard
    Tolka varje nyckelord som ett mönster som innehåller skalliknande jokertecken. Varje nyckelord kommer att oberoende matchas mot sidnamnen och beskrivningarna. Om --exact också används, kommer en matchning bara att hittas om ett expanderat nyckelord matchar en hel beskrivning eller helt sidnamn. Annars tillåts nyckelordet också att matcha på ordgränser i beskrivningen.

-e, --exact
    Varje nyckelord kommer att matchas mot sidnamnen och beskrivningarna.

-a, --and
    Visa bara objekt som matchar alla angivna nyckelord. Standard är att visa objekt som matchar vilket nyckelord som helst.

-l, --long
    Justera inte utmatningen till terminalbredden. Normalt kommer utmatningar att trunkeras med avseende på terminalbredden för att undvika fula resultat från dåligt skrivna NAMN-avsnitt.

-s list, --sections=list, --section=list
    Genomsök bara de angivna manualavsnitten. lista är en kolon- eller kommaseparerad lista av sektioner. Om en post i lista är ett enstaka avsnitt, till exempel ”3” så kommer den visade listan över beskrivningar att inkludera sidor i avsnitt ”3”, ”3perl”, ”3x”, och så vidare; men om en post i lista har en ändelse, till exempel ”3perl”, så kommer listan bara att inkludera sidor i den exakta delen av manualavsnittet.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems beskrivningar av manualsidor kan de genomsökas via denna flagga. För att genomsöka beskrivningarna för manualsidorna för NyttOS, använd flaggan -m NyttOS. Det system som anges kan vara en kombination av kommaavgränsade operativsystemsnamn. För att inkludera en genomsökning av det underliggande operativsystemets whatis-beskrivningar, inkludera systemnamnet man i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-M sökväg, --manpath=sökväg
    Ange en alternativ mängd av kolonavgränsade hierarkier av manualsidor att genomsöka. Som standard använder apropos miljövariabeln $MANPATH, om den inte är tom eller ej satt, i vilket fall en lämplig manualsökväg bestäms baserad på din $PATH-miljövariabel. Denna flagga åsidosätter innehållet i $MANPATH.

-L lokal, --locale=lokal
    apropos kommer normalt att avgöra din aktuella lokal genom att anrop till C-funktionen setlocale(3) som kontrollerar diverse miljövariabler, som eventuellt $LC_MESSAGES och $LANG. För att tillfälligt åsidosätta det framtagna värdet, använd denna flagga för att ange en lokal-sträng direkt till apropos. Notera att det inte får någon effekt förrän sökningen efter sidor faktiskt påbörjas. Utmatning så som hjälpmeddelandet kommer alltid att visas enligt den först bestämda lokalen.

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

16  Inget hittades som matchade det kriterium som angivits.

MILJÖ

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

MANPATH
    Om $MANPATH är satt kommer dess värde att tolkas som den kolonavgränsade sökvägen för hierarkier av manualsidor som ska användas.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

POSIXLY_CORRECT
    Om $POSIXLY_CORRECT är satt, även till ett null-värde, kommer standardsökningen för apropos att göras som ett utökat reguljärt uttryck (-r). Numera är detta standardbeteendet.

FILER

/usr/share/man/index.(bt|db|dir|pag)
    En traditionell global index-databascache.

/var/cache/man/index.(bt|db|dir|pag)
    En FHS-kompatibel global index-databascache.

/usr/share/man/.../whatis
    En traditionell whatis-textdatabas.

SE VIDARE
man(1), whatis(1), mandb(8)

UPPHOVSMAN
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).